ISDN ausgehend auf FB mit Asterisk (Fehler)

colehower

Neuer User
Mitglied seit
14 Mai 2006
Beiträge
3
Punkte für Reaktionen
0
Punkte
0
Wir versuchen, Asterisk 1.4 (von spblinux.de/fbox) auf unserer FB 7170 (29.04.59 Firmware) zu installieren.

SIP, IAX2 and eingehende ISDN-Anrufe funktionieren. Bei ausgehenden Calls kommt folgender Fehler: "/var/tmp/asterisk/bin/asterisk: can't resolve symbol '__fpcmp_parts_f'".

Es folgen Dutzende Fehlereinträge mit "ERROR[2681]: chan_capi.c:675 local_queue_frame: Could not write to pipe for ISDN1#01". Asterisk kann danach nur noch über das Betriebssystem gestoppt werden.

Wir haben versucht, die libm.so.0 von spblinux.de/fbox zu verwenden, danach war dieser Fehler weg, dafür erhielten wir "/var/tmp/asterisk/bin/asterisk: can't resolve symbol can't resolve symbol '__pack_f'".

Auch ein Versuch mit Asterisk 1.6 (fbox.new) brachte die gleichen Ergebnisse.
Hat irgend jemand eine Idee, woran es liegen könnte? Vielen Dank für die Hilfe.
 

dynamic

Aktives Mitglied
Mitglied seit
1 Apr 2006
Beiträge
1,154
Punkte für Reaktionen
0
Punkte
36
@colehower
- welche uClibc ist in dieser FW ( ls -l /lib/libuClibc* ) ?
- nutzt DU einen USB-Install oder RAM-Install ?
- welche Version des Install-Scripts wird genutzt ( wird bei der Installation mit "-v" Option ausgegeben ) ?
- laufen noch andere Applikationen auf Deiner FBF ?

Versuche es mal mit der "Beta" Version von http://c2a2b2.com/fbox/cfg_asterisk14 ( bzw. http://c2a2b2.com/fbox/0.9.29/cfg_asterisk14 falls 0.9.29'er uClibc )
( alles löschen und komplet neu installieren!! )

Gruß
dynamic
 

colehower

Neuer User
Mitglied seit
14 Mai 2006
Beiträge
3
Punkte für Reaktionen
0
Punkte
0
Infos

- welche uClibc ist in dieser FW ( ls -l /lib/libuClibc* ) ?
- nutzt DU einen USB-Install oder RAM-Install ?
- welche Version des Install-Scripts wird genutzt ( wird bei der Installation mit "-v" Option ausgegeben ) ?
- laufen noch andere Applikationen auf Deiner FBF ?
Vielen Dank für die schnelle Antwort. Wir versuchen das mit der Beta mal. Hier die Antworten auf die Frage:
- uClibc: 0.9.28
- Die Asterisk ist auf einem USB-Stick
- Wir nutzen das Install-Script 1.241 für 1.6, für 1.4 zeigt es keine Version an
- andere Applikationen: SSH (Dropbear sshd v0.48) und VPN (OpenVPN 2.1_rc1 mipsel-linux )
 

colehower

Neuer User
Mitglied seit
14 Mai 2006
Beiträge
3
Punkte für Reaktionen
0
Punkte
0
Beta geht auch nicht

wir haben die Beta-Version versucht und erhalten denselben Fehler "can't resolve symbol '__fpcmp_parts_f'". Wir versuchen jetzt noch die zweite Version (mit neuester Firmware 29.04.)
 

dynamic

Aktives Mitglied
Mitglied seit
1 Apr 2006
Beiträge
1,154
Punkte für Reaktionen
0
Punkte
36
Da Du bis dato der erste mit diesem Fehler bist, gehe ich vorerst davon aus, dass in Deiner Konfiguration etwas nicht stimmt.

Es ist seltsam, dass unter /var/tmp/asterisk/bin/asterisk nach libs gesucht wird. Hast Du es mal ganz ohne die anderen Pakete versucht, nicht dass die anderen Pakete die Installation "verbiegen" ?
Führst Du irgendwelche Änderungen an der asterisk.conf durch ?

Poste mal den tatsächlichen Error-Output von der Asterisk CLI, vielleicht kann man da noch was erkennen.

EDIT: Die Scripts für 1.4 und 1.6 sind eigentlich identisch ... hast DU denn in beiden Fällen die letzten Versionen runtergeladen ?

Gruß
dynamic
 
3CX

Statistik des Forums

Themen
235,885
Beiträge
2,067,233
Mitglieder
356,872
Neuestes Mitglied
Machsgut